%global srcname oslo-i18n

Name:           python-%{srcname}
Version:        3.4.0
Release:        %mkrel 1
Summary:        OpenStack OSLO Internationalization

Group:          Development/Python
License:        MIT
URL:            https://github.com/openstack/oslo.i18n
Source0:        https://pypi.python.org/packages/source/o/oslo.i18n/oslo.i18n-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
The oslo.i18n library contain utilities for working with internationalization
(i18n) features, especially translation for text strings in an application
or library.

%package -n     python3-%{srcname}
Summary:        OpenStack OSLO Internationalization
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{srcname}
The oslo.i18n library contain utilities for working with internationalization
(i18n) features, especially translation for text strings in an application
or library.

This is the Python 3 version of the package.

%prep
%setup -q -n oslo.i18n-%{version}

# Remove bundled egg-info
rm -rf oslo.i18n.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python2_sitelib}/oslo*

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python3_sitelib}/oslo*


%changelog
* Fri Aug 26 2016 bcornec <bcornec> 3.4.0-1.mga6
+ Revision: 1048965
- update to upstream python-oslo-i18n 3.4.0

* Fri Dec 18 2015 daviddavid <daviddavid> 3.1.0-1.mga6
+ Revision: 911560
- new version: 3.1.0

* Wed Oct 14 2015 daviddavid <daviddavid> 2.5.0-2.mga6
+ Revision: 891100
- add python3 package
- use new python macros
- add doc files

* Sun Aug 30 2015 fwang <fwang> 2.5.0-1.mga6
+ Revision: 871287
- 2.5.0

* Mon Feb 23 2015 bcornec <bcornec> 1.4.0-1.mga5
+ Revision: 816661
- Update to upstream 1.4.0
- Update to upstream 1.3.0 to be uptodate and for python-keystoneclient

* Wed Jan 21 2015 bcornec <bcornec> 1.1.0-1.mga5
+ Revision: 811684
- Adds sha1 file
- Adds the python-oslo-i18n package for docker-registry
- Created package structure for python-oslo-i18n.

